use_default_settings: true
general:
  instance_name: SearXNG
  debug: false
  privacypolicy_url: false
  contact_url: false
  enable_metrics: false
server:
  bind_address: 0.0.0.0
  port: 8080
  secret_key: CHANGE_ME
  limiter: false
  image_proxy: true
  method: GET
search:
  safe_search: 0
  autocomplete: ''
  default_lang: zh-CN
  formats:
  - html
  - json
  languages:
  - all
  - zh-CN
  - en-US
ui:
  static_use_hash: true
  default_theme: simple
  default_locale: zh-Hans-CN
enabled_plugins:
- Hash plugin
- Self Information
- Tracker URL redirect
- Search on category select
- Search language filter
- Open Access DOI rewrite
- Tor check plugin
engines:
- name: google
  engine: google
  shortcut: g
  disabled: false
- name: bing
  engine: bing
  shortcut: bi
  disabled: false
- name: duckduckgo
  engine: duckduckgo
  shortcut: ddg
  disabled: true
- name: baidu
  engine: baidu
  shortcut: bd
  disabled: false
- name: sogou
  engine: sogou
  shortcut: sg
  disabled: false
- name: bilibili
  engine: bilibili
  shortcut: bl
  disabled: false
- name: wikipedia
  engine: wikipedia
  shortcut: wp
  disabled: false
- name: github
  engine: github
  shortcut: gh
  disabled: false
outgoing:
  request_timeout: 8.0
  max_request_timeout: 15.0
  useragent_suffix: ''
